image: node:latest

stages:
- test

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/
    - .npm/

test:
  stage: test
  script:
    - npm install
    - npm run test

contract test:
  stage: test
  script:
    - npm install
    - npm run test:consumer
    - npm run publish:contract
    - echo "Consumer Contract has been Published."